// (c) MIT 2003.  All rights reserved.

// $Id: SelectionReasoner.java,v 1.4 2003/03/06 00:40:48 moltmans Exp $
// Time-stamp: <2000-03-11 18:53:30 moltmans>
package rec.core.reasoners;



import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.core.widgets.*;

public class SelectionReasoner extends Reasoner
{
  public SelectionReasoner()
  {
    super();
  }


  public Iterator getStrongerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.widgets.WSelection" );

    return v.iterator();
  }

  public Iterator getWeakerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.widgets.WClick" );
    v.addElement( "rec.core.widgets.WCircle" );
    v.addElement( "rec.sys.VisibleWidget" );

    return v.iterator();
  }

  public boolean match( Surface s, Widget stronger, Widget weaker )
  {
    return true;
  }


}
